# Generated from autodiscover-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name autodiscover

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Ruby client for Microsoft's Autodiscover Service
License: MIT
URL: http://github.com/WinRb/autodiscover
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(minitest) >= 5.6.0
# BuildRequires: rubygem(minitest) < 5.7
# BuildRequires: rubygem(mocha) >= 1.1.0
# BuildRequires: rubygem(mocha) < 1.2
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
The Autodiscover Service provides information about a Microsoft Exchange
environment such as service URLs, versions and many other attributes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/autodiscover.gemspec
%{gem_instdir}/test

%changelog
* Sun Sep 12 2021 mockbuilder - 1.0.2-1
- Initial package
